summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--README4
-rwxr-xr-xautogen.sh26
-rw-r--r--daemon/configure.ac2
3 files changed, 29 insertions, 3 deletions
diff --git a/README b/README
index 6c9d5ab7..9306b5cc 100644
--- a/README
+++ b/README
@@ -74,7 +74,7 @@ Then make the library and shell tools:
Make the daemon and NFS server:
mkdir daemon/build
pushd daemon/build
- ../configure
+ ../configure [--disable-nfsv4 --disable-gss]
make
popd
@@ -83,7 +83,7 @@ server too:
mkdir daemon/build-32
pushd daemon/build-32
- ../configure --enable-32bit
+ ../configure --enable-32bit [--disable-nfsv4 --disable-gss]
make
popd
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 00000000..959fdcea
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,26 @@
+#!/bin/sh -
+# libguestfs
+# Copyright (C) 2009 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+#
+# Rebuild the autotools environment.
+
+set -e
+set -v
+export AUTOMAKE='automake --foreign'
+autoreconf
+cd daemon
+autoreconf \ No newline at end of file
diff --git a/daemon/configure.ac b/daemon/configure.ac
index 26fefe50..406594a7 100644
--- a/daemon/configure.ac
+++ b/daemon/configure.ac
@@ -29,7 +29,7 @@ dnl If the user specified --enable-32bit, then force the C compiler
dnl to build 32 bit binaries (gcc -m32).
AC_ARG_ENABLE([32bit],
[AS_HELP_STRING([--enable-32bit], [build 32 bit binaries (gcc -m32)])],
- [CC="gcc -m32"],
+ [export CC="gcc -m32"],
[enable_32bit=no])
dnl Check for basic C environment.